xfstests: move generic tests out of top level dir
[xfstests-dev.git] / 239
diff --git a/239 b/239
deleted file mode 100755 (executable)
index 8aa4ed0..0000000
--- a/239
+++ /dev/null
@@ -1,56 +0,0 @@
-#! /bin/bash
-# FS QA Test No. 239
-#
-# Read from a sparse file immedialy after filling a hole to test for races
-# in unwritten extent conversion.
-#
-#-----------------------------------------------------------------------
-# Copyright (c) 2010 Red Hat, Inc.  All Rights Reserved.
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it would be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write the Free Software Foundation,
-# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-#-----------------------------------------------------------------------
-#
-
-seq=`basename $0`
-echo "QA output created by $seq"
-
-here=`pwd`
-tmp=/tmp/$$
-status=1       # failure is the default!
-trap "_cleanup; exit \$status" 0 1 2 3 15
-
-_cleanup()
-{
-    cd /
-    rm -f $TEST_DIR/tst-aio-dio-sparse-unwritten
-}
-
-# get standard environment, filters and checks
-. ./common.rc
-. ./common.filter
-
-_supported_fs generic
-_supported_os Linux
-
-_require_sparse_files
-_require_aiodio aio-dio-hole-filling-race
-
-echo "Silence is golden"
-
-for i in `seq 1 500`; do
-  $AIO_TEST $TEST_DIR/tst-aio-dio-hole-filling-race || break
-done
-
-status=$?
-exit